<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Acl/etc/acl.xsd">
    <acl>
        <resources>
            <resource id="Magento_Backend::admin">
                <resource id="WriteTextAI_WriteTextAI::menu" title="WriteText.ai">
                    <resource id="WriteTextAI_WriteTextAI::transfer" title="Transfer text to Magento"/>
                    <resource id="WriteTextAI_WriteTextAI::review" title="Marking text as 'reviewed'"/>
                    <resource id="WriteTextAI_WriteTextAI::edit" title="Editing text" />
                    <resource id="WriteTextAI_WriteTextAI::product_details" title="Adding other product details"/>
                    <resource id="WriteTextAI_WriteTextAI::modify_defaults" title="Modify system defaults"/>
                    <resource id="WriteTextAI_WriteTextAI::modify_attributes" title="Modify selected product attributes in workspace"/>
                    <resource id="WriteTextAI_WriteTextAI::modify_tone_style" title="Modify selected tone and style in workspace" />
                    <resource id="WriteTextAI_WriteTextAI::modify_words" title="Modify Target Number of Words in workspace"/>
                    <resource id="WriteTextAI_WriteTextAI::generate" title="Generating / bulk-generating text"/>
                    <resource id="WriteTextAI_WriteTextAI::keyword_analysis" title="Do keyword analysis"/>
                    <resource id="WriteTextAI_WriteTextAI::api_transfer" title="WriteText AI Rest API"/>
                </resource>
                <resource id="Magento_Backend::stores">
                    <resource id="Magento_Backend::stores_settings">
                        <resource id="Magento_Config::config">
                            <!--resources follow-->
                        </resource>
                    </resource>
                </resource>
            </resource>
        </resources>
    </acl>
</config>
